/// <reference types="react" />
import { ButtonOptionTypes } from "../Button";
export type IconButtonOptionTypes = Exclude<ButtonOptionTypes, "ERROR" | "ERROR_SMOOTH" | "ERROR_GHOST">;
export type IconButtonProps = {
    option?: IconButtonOptionTypes;
    onClick: () => void;
    icon?: JSX.Element;
    disable?: boolean;
    borderColor?: string;
    backgroundColor?: string;
    stroke?: string;
};
declare const IconButton: ({ option, onClick, icon, disable, borderColor, backgroundColor, stroke, }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export default IconButton;
