/// <reference types="react" />
export type CheckboxProps = {
    id?: string;
    children?: string;
    checked: boolean;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    disabled?: boolean;
    activeColor?: string;
};
declare const Checkbox: ({ id, children, checked, onChange, disabled, activeColor, }: CheckboxProps) => import("react/jsx-runtime").JSX.Element;
export default Checkbox;
