import { CommonDropdownTypes } from "../DropdownTypes";
export type MultipleDropdownProps<T> = Omit<CommonDropdownTypes<T>, "onClick"> & {
    value: T[];
    onClick: (option: T[]) => void;
};
declare const MultipleDropdown: <T extends {}>({ value, options, optionKey, optionLabel, onClick, enableClearButton, enableSearch, optionElement, disabled, placeholder, }: MultipleDropdownProps<T>) => import("react/jsx-runtime").JSX.Element;
export default MultipleDropdown;
