/// <reference types="react" />
export type Dropdown<T> = {
    options: T[];
    optionKey: (option: T) => string | number;
    optionLabel: ({ option, index, }: {
        option: T;
        index: number;
    }) => string | JSX.Element;
    onChange: (option: T | undefined) => void;
    disabled?: boolean;
    enableClearButton?: boolean;
    enableSearch?: boolean;
    placeholder?: string;
};
export declare const Dropdown: () => import("react/jsx-runtime").JSX.Element;
