/// <reference types="react" />
export type AsyncStatus = "DEFAULT" | "LOADING" | "SUCCESS" | "ERROR";
export type AsyncInputProps = {
    value: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onSearch: (value: string) => void;
    isError: () => boolean;
    isLoading: () => boolean;
    isSuccess: () => boolean;
    disable?: boolean;
    placeholder?: string;
};
declare const AsyncInput: ({ value, onChange, onSearch, isError, isLoading, isSuccess, disable, placeholder, }: AsyncInputProps) => import("react/jsx-runtime").JSX.Element;
export default AsyncInput;
