import React from "react";
export type RadioProps = {
    checked?: boolean;
    radioInfo: {
        name: string;
        value: string;
    };
    children: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onClick: (e: React.MouseEvent<HTMLInputElement>) => void;
    disable?: boolean;
    color?: string;
    backgroundColor?: string;
};
declare const Radio: ({ checked, radioInfo, children, onChange, onClick, disable, color, backgroundColor, }: RadioProps) => import("react/jsx-runtime").JSX.Element;
export default Radio;
