import styled from "styled-components";
import { fonts } from "../../../styles/fonts";

export const ButtonStyle = styled.button<{ stroke: string }>`
  height: 40px;

  padding: 0 16px;

  border: 1px solid;
  border-radius: 8px;

  display: flex;
  align-items: center;
  gap: 8px;

  cursor: pointer;

  ${fonts.button};

  svg {
    width: 16px;
    height: 16px;

    stroke: ${({ stroke }) => stroke};
  }
`;
