import styled from "styled-components";
import { gray } from "../../../core/colors/colors";

export const DistanceSliderContainer = styled.div`
  width: 240px;

  display: flex;
  flex-direction: column;

  & > div {
    display: flex;
    flex-direction: column;

    & > input {
      width: 240px;

      -webkit-appearance: none;
      appearance: none;

      background: none;

      position: absolute;

      pointer-events: none;

      &::-webkit-slider-thumb {
        pointer-events: auto;
      }
    }

    .slider {
      width: 100%;
      height: 100%;

      border-radius: 40px;

      background-color: ${gray[100]};
    }

    .slider_track {
      pointer-events: none;

      .exception_slider_value {
        width: max-content;
      }
    }
  }
`;
