import React from "react";
import { CommonDropdownTypes } from '../../../../../../../../src/components/Dropdown/DropdownTypes';
export type SearchDropdownInputProps<T> = CommonDropdownTypes<T> & {
    type?: "date" | "number" | "text" | "password";
    value: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onBlur?: () => void;
    onError?: () => boolean;
};
declare const SearchDropdownInput: <T extends {}>({ type, value, options, optionKey, optionLabel, onChange, onBlur, onClick, onError, disabled, placeholder, }: SearchDropdownInputProps<T>) => import("react/jsx-runtime").JSX.Element;
export default SearchDropdownInput;
