import { SliderProps } from "../Slider";
export type DiatanceSliderValueKey = "minValue" | "maxValue";
export type DistanceSliderProps = Omit<SliderProps, "value" | "onChange"> & {
    value: {
        [key in DiatanceSliderValueKey]: number;
    };
    onChange: (name: DiatanceSliderValueKey, value: number) => void;
};
declare const DistanceSlider: ({ value, onChange, min, max }: DistanceSliderProps) => import("react/jsx-runtime").JSX.Element;
export default DistanceSlider;
