import Toaster from "./utils/toaster";
export type ToastPosition = "top" | "bottom";
export type ToastProviderProps = {
    /** 토스트 메시지가 화면에 표시되는 시간을 밀리초(ms) 단위 */
    duration?: number;
    /** 토스트 메시지 사이의 간격 지정 */
    gap?: number;
    /** 토스트가 화면의 맨 위 또는 맨 아래로부터 얼마나 떨어져 있는지를 설정 */
    offset?: number;
    /** 토스트 메시지가 표시될 위치를 지정 */
    position?: ToastPosition;
    zIndex?: number;
};
export declare let toast: Toaster;
export declare const ToastProvider: ({ gap, duration, offset, position, zIndex, }: ToastProviderProps) => import("react/jsx-runtime").JSX.Element;
