import styled from "styled-components";
import { gray } from "../../../core/colors/colors";

export const EyeButton = styled.button`
  width: 16px;
  height: 16px;

  border: 0;

  display: flex;
  align-items: center;

  background-color: #fff;

  position: absolute;
  right: 16px;

  svg {
    width: 100%;
    height: 100%;

    stroke: ${gray[800]};
  }

  svg:hover {
    cursor: pointer;
  }
`;
